// ファイル名： Ch05/BoxLocator/BoxLocator.hh 
#pragma once 
#include <utility> 
#include "./Box.hh" 
typedef pair<Box, Point3D> Box_Position; 
 
class BoxLocator { 
 public: 
  BoxLocator(); 
 ~BoxLocator(); 
  void placeBox(Box aBox, Point3D boxPosition); 
  vector<Box> isPointInBoxes(Point3D testPoint); 
 private: 
  vector<Box_Position*> allBox_Pos; 
  vector<Box> inBoxes; 
};
